summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2018-05-02 20:37:26 +0200
committerJeroen Roovers <jer@gentoo.org>2018-05-02 20:37:41 +0200
commit433e897529f5a41682189da5dba5a9f853c39456 (patch)
tree79d1913fa135fb509525c3ab4c417cd561afe91b
parentsys-kernel/gentoo-sources: Linux patch 4.16.7 (diff)
downloadgentoo-433e8975.tar.gz
gentoo-433e8975.tar.bz2
gentoo-433e8975.zip
net-analyzer/wireshark: Switch to cmake (bug #545688).
Package-Manager: Portage-2.3.32, Repoman-2.3.9
-rw-r--r--net-analyzer/wireshark/files/wireshark-2.6.0-androiddump-wsutil.patch26
-rw-r--r--net-analyzer/wireshark/wireshark-2.6.0-r1.ebuild247
-rw-r--r--net-analyzer/wireshark/wireshark-99999999.ebuild190
3 files changed, 347 insertions, 116 deletions
diff --git a/net-analyzer/wireshark/files/wireshark-2.6.0-androiddump-wsutil.patch b/net-analyzer/wireshark/files/wireshark-2.6.0-androiddump-wsutil.patch
new file mode 100644
index 00000000000..e28465e814a
--- /dev/null
+++ b/net-analyzer/wireshark/files/wireshark-2.6.0-androiddump-wsutil.patch
@@ -0,0 +1,26 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -2841,6 +2841,7 @@
+ if(HAVE_LIBPCAP)
+ set(androiddump_LIBS
+ ui
++ wsutil
+ ${GLIB2_LIBRARIES}
+ ${PCAP_LIBRARIES}
+ )
+@@ -2851,6 +2852,7 @@
+ set(androiddump_LIBS
+ ui
+ wiretap
++ wsutil
+ ${GLIB2_LIBRARIES}
+ ${ZLIB_LIBRARIES}
+ ${CMAKE_DL_LIBS}
+@@ -2862,7 +2864,6 @@
+ )
+
+ add_executable(androiddump WIN32 ${androiddump_FILES})
+- # XXX Shouldn't we add wsutil to androiddump_LIBS instead?
+ set_extcap_executable_properties(androiddump)
+ target_link_libraries(androiddump ${androiddump_LIBS})
+ install(TARGETS androiddump RUNTIME DESTINATION ${EXTCAP_DIR})
diff --git a/net-analyzer/wireshark/wireshark-2.6.0-r1.ebuild b/net-analyzer/wireshark/wireshark-2.6.0-r1.ebuild
new file mode 100644
index 00000000000..1efad019372
--- /dev/null
+++ b/net-analyzer/wireshark/wireshark-2.6.0-r1.ebuild
@@ -0,0 +1,247 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils eutils fcaps flag-o-matic gnome2-utils ltprune multilib qmake-utils user xdg-utils
+
+DESCRIPTION="A network protocol analyzer formerly known as ethereal"
+HOMEPAGE="https://www.wireshark.org/"
+SRC_URI="${HOMEPAGE}download/src/all-versions/${P/_/}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc64 ~x86"
+IUSE="
+ adns androiddump bcg729 +capinfos +caps +captype ciscodump +dftest doc
+ +dumpcap +editcap gtk kerberos libxml2 lua lz4 maxminddb +mergecap +netlink
+ nghttp2 +pcap portaudio +qt5 +randpkt +randpktdump +reordercap sbc selinux
+ +sharkd smi snappy spandsp sshdump ssl +text2pcap tfshark +tshark +udpdump
+ zlib
+"
+
+S=${WORKDIR}/${P/_/}
+
+CDEPEND="
+ >=dev-libs/glib-2.14:2
+ dev-libs/libgcrypt:0
+ netlink? ( dev-libs/libnl:3 )
+ adns? ( >=net-dns/c-ares-1.5 )
+ bcg729? ( media-libs/bcg729 )
+ caps? ( sys-libs/libcap )
+ gtk? (
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/pango
+ x11-misc/xdg-utils
+ )
+ kerberos? ( virtual/krb5 )
+ sshdump? ( >=net-libs/libssh-0.6 )
+ ciscodump? ( >=net-libs/libssh-0.6 )
+ libxml2? ( dev-libs/libxml2 )
+ lua? ( >=dev-lang/lua-5.1:* )
+ lz4? ( app-arch/lz4 )
+ maxminddb? ( dev-libs/libmaxminddb )
+ nghttp2? ( net-libs/nghttp2 )
+ pcap? ( net-libs/libpcap )
+ portaudio? ( media-libs/portaudio )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ >=media-libs/speex-1.2.0
+ media-libs/speexdsp
+ x11-misc/xdg-utils
+ )
+ sbc? ( media-libs/sbc )
+ smi? ( net-libs/libsmi )
+ snappy? ( app-arch/snappy )
+ spandsp? ( media-libs/spandsp )
+ ssl? ( net-libs/gnutls:= )
+ zlib? ( sys-libs/zlib !=sys-libs/zlib-1.2.4 )
+"
+# We need perl for `pod2html`. The rest of the perl stuff is to block older
+# and broken installs. #455122
+DEPEND="
+ ${CDEPEND}
+ dev-lang/perl
+ !<virtual/perl-Pod-Simple-3.170
+ !<perl-core/Pod-Simple-3.170
+ doc? (
+ app-doc/doxygen
+ dev-ruby/asciidoctor
+ )
+ qt5? (
+ dev-qt/linguist-tools:5
+ )
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+"
+RDEPEND="
+ ${CDEPEND}
+ gtk? ( virtual/freedesktop-icon-theme )
+ qt5? ( virtual/freedesktop-icon-theme )
+ selinux? ( sec-policy/selinux-wireshark )
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.99.8-qtchooser.patch
+ "${FILESDIR}"/${PN}-2.4-androiddump.patch
+ "${FILESDIR}"/${PN}-2.6.0-androiddump-wsutil.patch
+ "${FILESDIR}"/${PN}-99999999-androiddump.patch
+)
+
+pkg_setup() {
+ enewgroup wireshark
+}
+
+src_configure() {
+ local mycmakeargs
+
+ # Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
+ # --with-ssl to ./configure. (Mimics code from acinclude.m4).
+ if use kerberos; then
+ case $(krb5-config --libs) in
+ *-lcrypto*)
+ ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
+ ewarn "Note there are annoying license incompatibilities between the OpenSSL"
+ ewarn "license and the GPL, so do your check before distributing such package."
+ mycmakeargs+=( -DENABLE_GNUTLS=$(usex ssl) )
+ ;;
+ esac
+ fi
+
+ if use qt5; then
+ export QT_MIN_VERSION=5.3.0
+ append-cxxflags -fPIC -DPIC
+ fi
+
+ mycmakeargs+=(
+ -DBUILD_androiddump=$(usex androiddump)
+ -DBUILD_capinfos=$(usex capinfos)
+ -DBUILD_captype=$(usex captype)
+ -DBUILD_ciscodump=$(usex ciscodump)
+ -DBUILD_dftest=$(usex dftest)
+ -DBUILD_dumpcap=$(usex dumpcap)
+ -DBUILD_editcap=$(usex editcap)
+ -DBUILD_mergecap=$(usex mergecap)
+ -DBUILD_mmdbresolve=$(usex maxminddb)
+ -DBUILD_randpkt=$(usex randpkt)
+ -DBUILD_randpktdump=$(usex randpktdump)
+ -DBUILD_reordercap=$(usex reordercap)
+ -DBUILD_sharkd=$(usex sharkd)
+ -DBUILD_sshdump=$(usex sshdump)
+ -DBUILD_text2pcap=$(usex text2pcap)
+ -DBUILD_tfshark=$(usex tfshark)
+ -DBUILD_tshark=$(usex tshark)
+ -DBUILD_udpdump=$(usex udpdump)
+ -DBUILD_wireshark=$(usex qt5)
+ -DBUILD_wireshark_gtk=$(usex gtk)
+ -DENABLE_BCG729=$(usex bcg729)
+ -DENABLE_CARES=$(usex adns)
+ -DENABLE_GNUTLS=$(usex ssl)
+ -DENABLE_KERBEROS=$(usex kerberos)
+ -DENABLE_LIBXML2=$(usex libxml2)
+ -DENABLE_LUA=$(usex lua)
+ -DENABLE_LZ4=$(usex lz4)
+ -DENABLE_NGHTTP2=$(usex nghttp2)
+ -DENABLE_PCAP=$(usex pcap)
+ -DENABLE_PORTAUDIO=$(usex portaudio)
+ -DENABLE_SBC=$(usex sbc)
+ -DENABLE_SMI=$(usex smi)
+ -DENABLE_SNAPPY=$(usex snappy)
+ -DENABLE_SPANDSP=$(usex spandsp)
+ -DENABLE_ZLIB=$(usex zlib)
+ -DENABLE_NETLINK=$(usex netlink)
+ $(use androiddump && use pcap && echo -DEXTCAP_ANDROIDDUMP_LIBPCAP=yes)
+ -DENABLE_CAP=$(usex caps)
+ -DDUMPCAP_INSTALL_OPTION=$(usex caps capabilities suid)
+ -DDISABLE_WERROR=yes
+ $(usex qt5 LRELEASE=$(qt5_get_bindir)/lrelease '')
+ $(usex qt5 MOC=$(qt5_get_bindir)/moc '')
+ $(usex qt5 RCC=$(qt5_get_bindir)/rcc '')
+ $(usex qt5 UIC=$(qt5_get_bindir)/uic '')
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # FAQ is not required as is installed from help/faq.txt
+ dodoc AUTHORS ChangeLog NEWS README* doc/randpkt.txt doc/README*
+
+ # install headers
+ local wsheader
+ for wsheader in \
+ epan/*.h \
+ epan/crypt/*.h \
+ epan/dfilter/*.h \
+ epan/dissectors/*.h \
+ epan/ftypes/*.h \
+ epan/wmem/*.h \
+ wiretap/*.h \
+ ws_diag_control.h \
+ ws_symbol_export.h \
+ wsutil/*.h
+ do
+ echo "Installing ${wsheader}"
+ insinto /usr/include/wireshark/$( dirname ${wsheader} )
+ doins ${wsheader}
+ done
+
+ for wsheader in \
+ ../${P}_build/config.h \
+ ../${P}_build/version.h
+ do
+ echo "Installing ${wsheader}"
+ insinto /usr/include/wireshark
+ doins ${wsheader}
+ done
+
+ #with the above this really shouldn't be needed, but things may be looking
+ # in wiretap/ instead of wireshark/wiretap/
+ insinto /usr/include/wiretap
+ doins wiretap/wtap.h
+
+ if use gtk || use qt5; then
+ local s
+ for s in 16 32 48 64 128 256 512 1024; do
+ insinto /usr/share/icons/hicolor/${s}x${s}/apps
+ newins image/wsicon${s}.png wireshark.png
+ done
+ for s in 16 24 32 48 64 128 256 ; do
+ insinto /usr/share/icons/hicolor/${s}x${s}/mimetypes
+ newins image/WiresharkDoc-${s}.png application-vnd.tcpdump.pcap.png
+ done
+ fi
+
+ prune_libtool_files
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+
+ # Add group for users allowed to sniff.
+ enewgroup wireshark
+
+ if use dumpcap && use pcap; then
+ fcaps -o 0 -g wireshark -m 4710 -M 0710 \
+ cap_dac_read_search,cap_net_raw,cap_net_admin \
+ "${EROOT}"/usr/bin/dumpcap
+ fi
+
+ ewarn "NOTE: To capture traffic with wireshark as normal user you have to"
+ ewarn "add yourself to the wireshark group. This security measure ensures"
+ ewarn "that only trusted users are allowed to sniff your traffic."
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
diff --git a/net-analyzer/wireshark/wireshark-99999999.ebuild b/net-analyzer/wireshark/wireshark-99999999.ebuild
index e39d7345ef9..c658f9ec1c6 100644
--- a/net-analyzer/wireshark/wireshark-99999999.ebuild
+++ b/net-analyzer/wireshark/wireshark-99999999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit autotools eutils fcaps flag-o-matic git-r3 gnome2-utils multilib qmake-utils user xdg-utils
+inherit cmake-utils eutils fcaps flag-o-matic git-r3 gnome2-utils ltprune multilib qmake-utils user xdg-utils
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="https://www.wireshark.org/"
@@ -12,15 +12,11 @@ LICENSE="GPL-2"
SLOT="0/${PV}"
KEYWORDS=""
IUSE="
- adns androiddump bcg729 +capinfos +caps +captype ciscodump
- cpu_flags_x86_sse4_2 +dftest doc doc-pdf +dumpcap +editcap geoip gtk
- kerberos libssh libxml2 lua lz4 +mergecap +netlink nghttp2 +pcap portaudio
- +qt5 +randpkt +randpktdump +reordercap sbc selinux +sharkd smi snappy
- spandsp sshdump ssl +text2pcap tfshark +tshark +udpdump zlib
-"
-REQUIRED_USE="
- ciscodump? ( libssh )
- sshdump? ( libssh )
+ adns androiddump bcg729 +capinfos +caps +captype ciscodump +dftest doc
+ +dumpcap +editcap gtk kerberos libxml2 lua lz4 maxminddb +mergecap +netlink
+ nghttp2 +pcap portaudio +qt5 +randpkt +randpktdump +reordercap sbc selinux
+ +sharkd smi snappy spandsp sshdump ssl +text2pcap tfshark +tshark +udpdump
+ zlib
"
S=${WORKDIR}/${P/_/}
@@ -32,7 +28,6 @@ CDEPEND="
adns? ( >=net-dns/c-ares-1.5 )
bcg729? ( media-libs/bcg729 )
caps? ( sys-libs/libcap )
- geoip? ( dev-libs/geoip )
gtk? (
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
@@ -40,10 +35,12 @@ CDEPEND="
x11-misc/xdg-utils
)
kerberos? ( virtual/krb5 )
- libssh? ( >=net-libs/libssh-0.6 )
+ sshdump? ( >=net-libs/libssh-0.6 )
+ ciscodump? ( >=net-libs/libssh-0.6 )
libxml2? ( dev-libs/libxml2 )
lua? ( >=dev-lang/lua-5.1:* )
lz4? ( app-arch/lz4 )
+ maxminddb? ( dev-libs/libmaxminddb )
nghttp2? ( net-libs/nghttp2 )
pcap? ( net-libs/libpcap )
portaudio? ( media-libs/portaudio )
@@ -64,7 +61,7 @@ CDEPEND="
ssl? ( net-libs/gnutls:= )
zlib? ( sys-libs/zlib !=sys-libs/zlib-1.2.4 )
"
-# We need perl for `pod2html`. The rest of the perl stuff is to block older
+# We need perl for `pod2html`. The rest of the perl stuff is to block older
# and broken installs. #455122
DEPEND="
${CDEPEND}
@@ -73,11 +70,7 @@ DEPEND="
!<perl-core/Pod-Simple-3.170
doc? (
app-doc/doxygen
- app-text/asciidoc
- dev-libs/libxml2
- dev-libs/libxslt
- doc-pdf? ( dev-java/fop )
- www-client/lynx
+ dev-ruby/asciidoctor
)
qt5? (
dev-qt/linguist-tools:5
@@ -93,28 +86,16 @@ RDEPEND="
selinux? ( sec-policy/selinux-wireshark )
"
PATCHES=(
- "${FILESDIR}"/${PN}-1.99.8-qtchooser.patch
- "${FILESDIR}"/${PN}-2.1.0-sse4_2-r1.patch
"${FILESDIR}"/${PN}-2.4-androiddump.patch
- "${FILESDIR}"/${PN}-99999999-androiddump.patch
+ "${FILESDIR}"/${PN}-2.6.0-androiddump-wsutil.patch
)
pkg_setup() {
enewgroup wireshark
}
-src_unpack() {
- git-r3_src_unpack
-}
-
-src_prepare() {
- default
-
- eautoreconf
-}
-
src_configure() {
- local myconf
+ local mycmakeargs
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
@@ -124,109 +105,75 @@ src_configure() {
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
- myconf+=( "--with-ssl" )
+ mycmakeargs+=( -DENABLE_GNUTLS=$(usex ssl) )
;;
esac
fi
- # Enable wireshark binary with any supported GUI toolkit (bug #473188)
- if use gtk || use qt5; then
- myconf+=( "--enable-wireshark" )
- else
- myconf+=( "--disable-wireshark" )
- fi
-
- if ! use qt5; then
- myconf+=( "--with-qt=no" )
- fi
-
if use qt5; then
export QT_MIN_VERSION=5.3.0
append-cxxflags -fPIC -DPIC
fi
- # Hack around inability to disable doxygen/fop doc generation
- use doc || export ac_cv_prog_HAVE_DOXYGEN=false
- use doc-pdf || export ac_cv_prog_HAVE_FOP=false
-
- econf \
- $(use androiddump && use pcap && echo --enable-androiddump-use-libpcap=yes) \
- $(use dumpcap && use_with pcap dumpcap-group wireshark) \
- $(use_enable androiddump) \
- $(use_enable capinfos) \
- $(use_enable captype) \
- $(use_enable ciscodump) \
- $(use_enable dftest) \
- $(use_enable dumpcap) \
- $(use_enable editcap) \
- $(use_enable mergecap) \
- $(use_enable randpkt) \
- $(use_enable randpktdump) \
- $(use_enable reordercap) \
- $(use_enable sharkd) \
- $(use_enable sshdump) \
- $(use_enable text2pcap) \
- $(use_enable tfshark) \
- $(use_enable tshark) \
- $(use_enable udpdump) \
- $(use_with adns c-ares) \
- $(use_with bcg729) \
- $(use_with caps libcap) \
- $(use_with geoip) \
- $(use_with gtk gtk 3) \
- $(use_with kerberos krb5) \
- $(use_with libssh) \
- $(use_with libxml2) \
- $(use_with lua) \
- $(use_with lz4) \
- $(use_with nghttp2) \
- $(use_with pcap) \
- $(use_with portaudio) \
- $(use_with sbc) \
- $(use_with smi libsmi) \
- $(use_with snappy) \
- $(use_with spandsp) \
- $(use_with ssl gnutls) \
- $(use_with zlib) \
- $(usex cpu_flags_x86_sse4_2 --enable-sse4_2 '') \
- $(usex netlink --with-libnl=3 --without-libnl) \
- $(usex qt5 --with-qt=5 '') \
- $(usex qt5 LRELEASE=$(qt5_get_bindir)/lrelease '') \
- $(usex qt5 MOC=$(qt5_get_bindir)/moc '') \
- $(usex qt5 RCC=$(qt5_get_bindir)/rcc '') \
- $(usex qt5 UIC=$(qt5_get_bindir)/uic '') \
- --disable-warnings-as-errors \
- --sysconfdir="${EPREFIX}"/etc/wireshark \
- ${myconf[@]}
-}
-
-src_compile() {
- default
+ mycmakeargs+=(
+ -DBUILD_androiddump=$(usex androiddump)
+ -DBUILD_capinfos=$(usex capinfos)
+ -DBUILD_captype=$(usex captype)
+ -DBUILD_ciscodump=$(usex ciscodump)
+ -DBUILD_dftest=$(usex dftest)
+ -DBUILD_dumpcap=$(usex dumpcap)
+ -DBUILD_editcap=$(usex editcap)
+ -DBUILD_mergecap=$(usex mergecap)
+ -DBUILD_mmdbresolve=$(usex maxminddb)
+ -DBUILD_randpkt=$(usex randpkt)
+ -DBUILD_randpktdump=$(usex randpktdump)
+ -DBUILD_reordercap=$(usex reordercap)
+ -DBUILD_sharkd=$(usex sharkd)
+ -DBUILD_sshdump=$(usex sshdump)
+ -DBUILD_text2pcap=$(usex text2pcap)
+ -DBUILD_tfshark=$(usex tfshark)
+ -DBUILD_tshark=$(usex tshark)
+ -DBUILD_udpdump=$(usex udpdump)
+ -DBUILD_wireshark=$(usex qt5)
+ -DBUILD_wireshark_gtk=$(usex gtk)
+ -DENABLE_BCG729=$(usex bcg729)
+ -DENABLE_CARES=$(usex adns)
+ -DENABLE_GNUTLS=$(usex ssl)
+ -DENABLE_KERBEROS=$(usex kerberos)
+ -DENABLE_LIBXML2=$(usex libxml2)
+ -DENABLE_LUA=$(usex lua)
+ -DENABLE_LZ4=$(usex lz4)
+ -DENABLE_NGHTTP2=$(usex nghttp2)
+ -DENABLE_PCAP=$(usex pcap)
+ -DENABLE_PORTAUDIO=$(usex portaudio)
+ -DENABLE_SBC=$(usex sbc)
+ -DENABLE_SMI=$(usex smi)
+ -DENABLE_SNAPPY=$(usex snappy)
+ -DENABLE_SPANDSP=$(usex spandsp)
+ -DENABLE_ZLIB=$(usex zlib)
+ -DENABLE_NETLINK=$(usex netlink)
+ $(use androiddump && use pcap && echo -DEXTCAP_ANDROIDDUMP_LIBPCAP=yes)
+ -DENABLE_CAP=$(usex caps)
+ -DDUMPCAP_INSTALL_OPTION=$(usex caps capabilities suid)
+ -DDISABLE_WERROR=yes
+ $(usex qt5 LRELEASE=$(qt5_get_bindir)/lrelease '')
+ $(usex qt5 MOC=$(qt5_get_bindir)/moc '')
+ $(usex qt5 RCC=$(qt5_get_bindir)/rcc '')
+ $(usex qt5 UIC=$(qt5_get_bindir)/uic '')
+ )
- if use doc; then
- emake -j1 -C docbook
- if use doc-pdf; then
- addpredict "/root/.java"
- emake -C docbook all-pdf
- fi
- fi
+ cmake-utils_src_configure
}
src_install() {
- default
+ cmake-utils_src_install
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README* doc/randpkt.txt doc/README*
- if use doc-pdf; then
- docinto /usr/share/doc/${PF}/pdf/
- dodoc docbook/{developer,user}-guide.pdf
- fi
-
# install headers
local wsheader
for wsheader in \
- config.h \
epan/*.h \
epan/crypt/*.h \
epan/dfilter/*.h \
@@ -238,11 +185,22 @@ src_install() {
ws_symbol_export.h \
wsutil/*.h
do
+ echo "Installing ${wsheader}"
insinto /usr/include/wireshark/$( dirname ${wsheader} )
doins ${wsheader}
done
- #with the above this really shouldn't be needed, but things may be looking in wiretap/ instead of wireshark/wiretap/
+ for wsheader in \
+ ../${P}_build/config.h \
+ ../${P}_build/version.h
+ do
+ echo "Installing ${wsheader}"
+ insinto /usr/include/wireshark
+ doins ${wsheader}
+ done
+
+ #with the above this really shouldn't be needed, but things may be looking
+ # in wiretap/ instead of wireshark/wiretap/
insinto /usr/include/wiretap
doins wiretap/wtap.h